Get a transaction
curl --request GET \
--url https://sandbox-api.platform.chipper.ai/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.platform.chipper.ai/v1/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.platform.chipper.ai/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"id": "le_payout_debit_p95akjfs339uy9icpelj",
"type": "payout",
"reference": "inv-1042",
"amount": "-150.00",
"runningBalance": "1250.00",
"currency": "GHS",
"description": "Payout to Ama Serwaa (gh_mtn)",
"status": "completed",
"relatedId": "pay_ghs_p95akjfs339uy9icpelj",
"createdAt": "2026-08-01T09:12:44.000Z"
}
}{
"error": "unauthorized",
"message": "Invalid API key",
"requestId": "req_q7vei435zifs51ia0lqr"
}{
"error": "not_found",
"message": "Transaction not found",
"requestId": "req_q7vei435zifs51ia0lqr"
}Transactions
Get a transaction
GET
/
v1
/
transactions
/
{id}
Get a transaction
⌘I